# File: except4.py
# Program to read in a positive number
# and complain when the input isn't that
#
# Matt Bishop, MHI 289I, Winter 2019

#
# loop to show exception handling
#    
while True:

    # read in a positive integer
    # handle any exceptions (relatively) intelligently
    try:
        n = int(input("type a number: "))
    # exception: bad value (string, invalid number)
    except ValueError as msg:
        print(msg, "-- try again!")             # give it another chance
        continue
    # exception: end of file
    except EOFError as msg:
        print(msg, "-- bye!")                   # quit
        break
    # some other exception
    except:
        print("Unknown exception -- ignoring!") # ignore the problem
    # no exception -- print the number
    else:
        if n <= 0:
            print("You typed a non-positive number")
        else:
            print("Read", n)
    finally:
        print("\n-----------------------\n")

